#!/bin/bash

FILE_PATH="./words.txt"

vowels="aeiouy"

while read -r line; do
	prev=""
	prevprev=""

	for (( i=0; i<${#line}; i++ )); do
		curr="${line:$i:1}"

		curr_lower=$(echo "$curr" | tr 'A-Z' 'a-z')
		prev_lower=$(echo "$prev" | tr 'A-Z' 'a-z')
		prevprev_lower=$(echo "$prevprev" | tr 'A-Z' 'a-z')

		curr_val=$(printf "%d" "'$curr_lower")
		prev_val=0
		prevprev_val=0

		if [ -n "$prev_lower" ]; then
			prev_val=$(printf "%d" "'$prev_lower")
		fi
		if [ -n "$prevprev_lower" ]; then
			prevprev_val=$(printf "%d" "'$prevprev_lower")
		fi

		printf "%d-%d-%d " "$prevprev_val" "$prev_val" "$curr_val"

		prevprev="$prev"
		prev="$curr"
	done
	echo
done < "$FILE_PATH"